org.eclipse.viatra.query.runtime.localsearch.matcher.integration

## Enum LocalSearchEMFBackendFactory

- java.lang.Object
- - java.lang.Enum<LocalSearchEMFBackendFactory>
  - - org.eclipse.viatra.query.runtime.localsearch.matcher.integration.LocalSearchEMFBackendFactory

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LocalSearchEMFBackendFactory>, IQueryBackendFactory

      public enum LocalSearchEMFBackendFactory
      extends java.lang.Enum<LocalSearchEMFBackendFactory>
      implements IQueryBackendFactory

  Since:
    2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMatcherCapability` | `calculateRequiredCapability(PQuery query, QueryEvaluationHint hint)` Calculate the required capabilities, which are needed to execute the given pattern
    `IQueryBackend` | `create(IQueryBackendContext context)` Creates a new `IQueryBackend` instance tied to the given context elements.
    `java.lang.Class<? extends IQueryBackend>` | `getBackendClass()` The backend instances created by this factory are guaranteed to conform to the returned class.
    `boolean` | `isCaching()` Returns whether the current backend is caching
    `static LocalSearchEMFBackendFactory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LocalSearchEMFBackendFactory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final LocalSearchEMFBackendFactory INSTANCE

  - ### Method Detail

    - #### values

          public static LocalSearchEMFBackendFactory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocalSearchEMFBackendFactory c : LocalSearchEMFBackendFactory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocalSearchEMFBackendFactory valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### create

          public IQueryBackend create(IQueryBackendContext context)

      Description copied from interface: `IQueryBackendFactory`
      Creates a new `IQueryBackend` instance tied to the given context elements.
      Specified by:
        `create` in interface `IQueryBackendFactory`
      Returns:
        an instance of the class returned by `IQueryBackendFactory.getBackendClass()` that operates in the given context.
      Since:
        1.5

    - #### getBackendClass

          public java.lang.Class<? extends IQueryBackend> getBackendClass()

      Description copied from interface: `IQueryBackendFactory`
      The backend instances created by this factory are guaranteed to conform to the returned class.
      Specified by:
        `getBackendClass` in interface `IQueryBackendFactory`

    - #### calculateRequiredCapability

          public IMatcherCapability calculateRequiredCapability(PQuery query,
                                                                QueryEvaluationHint hint)

      Description copied from interface: `IQueryBackendFactory`
      Calculate the required capabilities, which are needed to execute the given pattern
      Specified by:
        `calculateRequiredCapability` in interface `IQueryBackendFactory`
      Since:
        1.4

    - #### isCaching

          public boolean isCaching()

      Description copied from interface: `IQueryBackendFactory`
      Returns whether the current backend is caching
      Specified by:
        `isCaching` in interface `IQueryBackendFactory`